Subject: Re: bug#54800: 28.1; calc: Cursor positioned at weird position in calc stack

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Apr 2022 16:32:15 +0300

> Date: Sat, 9 Apr 2022 14:31:06 +0200
> Cc: [email-masked]
> From: Christoph Arenz <[email-masked]>
> 
> > I think the bug is actually off-by-one error, because the
> > vertical-motion call doesn't take the header-line into account.  So I
> > suggest the following patch instead, please see if it solves the
> > problem:
> 
> Your patch solves the problem and shows maximum content of the stack
> in the window.

Thanks, I installed the fix on the emacs-28 branch.

> Note that it still contains the NOFORCE while the off-by-one fix also
> works without it.

Right, I removed it before committing.  Thanks for pointing that out.

And with that, I'm closing this bug report.